/*
 * klapacz.h
 *
 *  Created on: 07-04-2014
 *      Author: Krzysztof Jakubczyk
 */

#ifndef DEC_MONTH_H_
#define DEC_MONTH_H_

#include "tdefs.h"

struct dec_month_logic
{

	struct binary_io mon[12]; // one bit

	struct binary_io zima; // one bit
	struct binary_io lato; // one bit

};

struct dec_month_io
{
	u32 sty; // one bit
	u32 lut; // one bit
	u32 marz; // one bit
	u32 kwie; // one bit
	u32 maj; // one bit
	u32 czer; // one bit
	u32 lip; // one bit	
	u32 sier; // one bit	
	u32 wrz; // one bit	
	u32 paz; // one bit	
	u32 lis; // one bit	
	u32 gru; // one bit

	u32 zima; // one bit
	u32 lato; // one bit
	
}__attribute__((__packed__));

struct dec_month_params
{
}__attribute__((__packed__));

struct dec_month_args
{
	struct dec_month_io io;
	struct dec_month_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void dec_month(void *args, void *logic);
extern int dec_month_initlog(void *args, void *logic);

#endif /* DEC_MONTH_H_ */
